This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

Author matrixise
Recipients Claudiu.Popa, berker.peksag, bignose, eric.araujo, eric.snow, martin.panter, matrixise, r.david.murray, rhettinger, yselivanov
Date 2014-04-16.21:36:35
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <2DA50619-4E11-4307-991D-D61A2C79A807@wirtel.be>
In-reply-to <1397683495.54.0.768554827328.issue12916@psf.upfronthosting.co.za>
Content
Yury,

An other point, as you proposed, I will check the version of Python in 
an unit test.

But is there a good practice?
Here is my way to check that:

Example from my patch for the issue with inspect.getfullargspec()

+        getfullargspec = getattr(inspect, 'getfullargspec', None)
+        if getfullargspec and sys.version_info >= (3, 7):
+            self.fail("inspect.getfullargspec() is deprecated since 
3.5, "
+                      "you must to remove it in 3.7")

Are you agree with that, or there is a good way for this kind of 
improvement?

Thank you so much,

Stephane
History
Date User Action Args
2014-04-16 21:36:35matrixisesetrecipients: + matrixise, rhettinger, eric.araujo, r.david.murray, Claudiu.Popa, bignose, eric.snow, berker.peksag, martin.panter, yselivanov
2014-04-16 21:36:35matrixiselinkissue12916 messages
2014-04-16 21:36:35matrixisecreate